Bug 196164 - Animated keyboard scrolling is extremely chaotic
Summary: Animated keyboard scrolling is extremely chaotic
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Horton
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-22 16:18 PDT by Tim Horton
Modified: 2019-03-25 13:55 PDT (History)
6 users (show)

See Also:


Attachments
Patch (5.41 KB, patch)
2019-03-22 16:18 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (5.18 KB, patch)
2019-03-25 13:09 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (5.30 KB, patch)
2019-03-25 13:20 PDT, Tim Horton
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Horton 2019-03-22 16:18:15 PDT
Animated keyboard scrolling is extremely chaotic
Comment 1 Tim Horton 2019-03-22 16:18:28 PDT
Created attachment 365773 [details]
Patch
Comment 2 Tim Horton 2019-03-22 16:18:30 PDT
<rdar://problem/48702444>
Comment 3 Tim Horton 2019-03-22 17:22:14 PDT
Comment on attachment 365773 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365773&action=review

> Source/WebKit/UIProcess/ios/WKKeyboardScrollingAnimator.mm:360
> +    WTFLogAlways("THORTON STOP");

Obviously without this 🙃
Comment 4 Simon Fraser (smfr) 2019-03-24 23:33:48 PDT
Comment on attachment 365773 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365773&action=review

> Source/WebKit/UIProcess/ios/WKKeyboardScrollingAnimator.h:65
> +- (BOOL)hasScrollingKeyPressed;

I don't like this term. It's no clear if it means "scrolling key is currently depressed", or "scrolling key was pressed sometime in the past".
Comment 5 Tim Horton 2019-03-24 23:48:07 PDT
(In reply to Simon Fraser (smfr) from comment #4)
> Comment on attachment 365773 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=365773&action=review
> 
> > Source/WebKit/UIProcess/ios/WKKeyboardScrollingAnimator.h:65
> > +- (BOOL)hasScrollingKeyPressed;
> 
> I don't like this term. It's no clear if it means "scrolling key is
> currently depressed", or "scrolling key was pressed sometime in the past".

As you might be able to tell from the renaming in this patch, I'm having the same fight with myself :D

I'll try a third name.
Comment 6 Tim Horton 2019-03-25 13:09:56 PDT
Created attachment 365889 [details]
Patch
Comment 7 Simon Fraser (smfr) 2019-03-25 13:18:12 PDT
Comment on attachment 365889 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365889&action=review

> Source/WebKit/UIProcess/ios/WKKeyboardScrollingAnimator.h:65
> +- (BOOL)hasScrollingKeyDown;

scrollTriggeringKeyIsPressed / scrollTriggeringKeyIsDown?
Comment 8 Tim Horton 2019-03-25 13:20:50 PDT
Created attachment 365890 [details]
Patch
Comment 9 WebKit Commit Bot 2019-03-25 13:55:38 PDT
Comment on attachment 365890 [details]
Patch

Clearing flags on attachment: 365890

Committed r243454: <https://trac.webkit.org/changeset/243454>
Comment 10 WebKit Commit Bot 2019-03-25 13:55:40 PDT
All reviewed patches have been landed.  Closing bug.